Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# ExPredefinedObject.h

Go to the documentation of this file.

    00001 /*
    00002  * ExNihilo 3D Engine
    00003  *
    00004  *  This program is free software; you can redistribute it and/or modify
    00005  *  it under the terms of the GNU General Public License as published by
    00006  *  the Free Software Foundation; either version 2 of the License, or
    00007  *  (at your option) any later version.
    00008  *
    00009  *  This program is distributed in the hope that it will be useful,
    00010  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
    00011  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    00012  *  GNU Library General Public License for more details.
    00013  *
    00014  *  You should have received a copy of the GNU General Public License
    00015  *  along with this program; if not, write to the Free Software
    00016  *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
    00017  *
    00018  * Please read AUTHORS file !!!
    00019  *
    00020  * $Id: ExPredefinedObject.h,v 1.1 2002/08/17 10:22:16 binny Exp $
    00021  *
    00022  */
    00023
    00024 #ifndef __EXPREDEFINEDOBJECT_H__
    00025 #define __EXPREDEFINEDOBJECT_H__
    00026 //--------------------------------
    00027 // File to include
    00028 //--------------------------------
    00029 #include "ExDefine.h"
    00030 //--------------------------------
    00031 // List of define for object
    00032 //--------------------------------
    00033 extern unsigned int GRILLE;
    00034
    00035 //--------------------------------
    00036 // Methode to Init
    00037 //--------------------------------
    00038 void InitBasicObjectList(void);
    00039 void InitString(void);
    00040 void RenderBitmapString(float x, float y, void *font,const char *string);
    00041 void EnterOrthoMode(void);
    00042 void LeaveOrthoMode(void);
    00043 #endif //__EXPREDEFINEDOBJECT_H__